msgpack::MsgpackTupleAs< Args > Struct Template Reference

`#include <cpp11_msgpack_tuple.hpp>`

## Static Public Member Functions

static msgpack::type::tuple< Args... > | as (msgpack::object const &o)

## Member Function Documentation

## as()

template<typename... Args>

static msgpack::type::tuple<Args...> msgpack::MsgpackTupleAs< Args >::as | ( | msgpack::object const & | o | ) |

inline static

References msgpack::MsgpackTupleAsImpl< T, Args >::as().

Referenced by msgpack::MsgpackTupleAsImpl< T, Args >::as(), and msgpack::adaptor::as< msgpack::type::tuple< Args... >, typename std::enable_if< msgpack::any_of< msgpack::has_as, Args... >::value >::type >::operator()().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/detail/cpp11_msgpack_tuple.hpp